/* Container & Input */
.custom-search-container {
    position: relative;
    max-width: 100%;
    width: 480px;
}

.search-input-wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

#custom-search-input {
    width: 100%;
    padding: 12px 0;
    background: transparent;
    border: none;
    border-bottom: 1px solid rgba(255,255,255,0.3);
    color: #fff; /* Wijzig naar donker indien nodig */
    font-size: 18px;
    outline: none;
    border-radius: 0;
}

#custom-search-input::placeholder {
    color: rgba(255,255,255,0.7); /* Wijzig naar donker indien nodig */
}

#custom-search-close {
    position: absolute;
    right: 10px;
    background: none;
    border: none;
    color: #fff; /* Wijzig naar donker indien nodig */
    cursor: pointer;
}

div#search-default-state {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

/* Dropdown styling */
#custom-search-dropdown {
    position: absolute;
    top: 100%;
    right: 0;
    width: 100%;
    background: #fff;
    box-shadow: 0 10px 30px rgba(0,0,0,0.1);
    border-radius: 8px;
    padding: 20px;
    z-index: 9999;
    margin-top: 10px;
    color: #333;

    /*max-height: 80vh;*/
    max-height: calc(100vh - 150px);
    height: auto;
    overflow: scroll;
}

.scrolled #custom-search-dropdown {
    max-height: calc(100vh - 85px);
}


/* Verbergen class */
.hidden {
    display: none !important;
}

/* Secties in de dropdown */

.search-section h3 {
    margin-top: 0;
    margin-bottom: 0;
    padding-bottom: 0;
}

.search-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.search-list li {
    margin-bottom: 10px;
}

/* Individuele zoekresultaten */
.search-result-item {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #333;
    transition: background 0.2s;
    width: max-content;
}

.search-section,
div#recent-searches-list{
    display: flex;
    flex-direction: column;
    gap: 16px;
}
div#search-results-state {
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.search-result-item:hover {
    background: #f5f5f5;
}

.search-image-wrapper {
    width: 40px;
    height: 40px;
    background: #f0f0f0;
    margin-right: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 4px;
}

.search-image-wrapper img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.search-result-title {
    font-size: 14px;
    font-weight: 500;
}

/* Berichten & Links */
.search-msg {
    font-size: 14px;
    color: #666;
}

.search-view-all {
    text-align: left;
    margin-top: 15px;
    padding-top: 15px;
    border-top: 1px solid #eee;
}

.search-view-all a {
    color: #333;
    text-decoration: none;
    font-size: 13px;
    font-weight: bold;
}